%define pypi_name retry-decorator
%define srcname retry_decorator

Name:		python-%{pypi_name}
Summary:	Decorator for retrying when exceptions occur
Version:	1.1.1
Release:	%mkrel 1
Group:		Development/Python
License:	MIT
Url:		https://pypi.org/project/retry-decorator/
Source:		%{pypi_source}
BuildArch:	noarch

%description
Decorator for retrying when exceptions occur.

%package -n python3-%{pypi_name}
Summary:	Decorator for retrying when exceptions occur
Group:		Development/Python
%{?python_provide:%python_provide python3-%{srcname}}
Obsoletes:	python3-%{srcname} < 1.1.1

%description -n python3-%{pypi_name}
Decorator for retrying when exceptions occur.

%prep
%autosetup -p1 -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{srcname}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc CHANGES.txt README.rst LICENSE.txt


%changelog
* Sun Jun 30 2024 wally <wally> 1.1.1-1.mga10
+ Revision: 2078242
- new version 1.1.1
- fix and normalize pkg names to follow PEP 503

* Fri Dec 15 2023 papoteur <papoteur> 1.0.0-16.mga10
+ Revision: 2018221
- rebuild for python3.12
- adapt to pyproject

* Wed Mar 23 2022 umeabot <umeabot> 1.0.0-15.mga9
+ Revision: 1823341
- Mageia 9 Mass Rebuild

* Tue Feb 22 2022 mrambo3501 <mrambo3501> 1.0.0-14.mga9
+ Revision: 1782715
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 1.0.0-13.mga9
+ Revision: 1733026
- Rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 1.0.0-12.mga8
+ Revision: 1535868
- Mageia 8 Mass Rebuild

* Sun Oct 13 2019 tv <tv> 1.0.0-11.mga8
+ Revision: 1452864
- rebuild for python-3.8
- drop python2 subpkg

* Thu Jan 10 2019 shlomif <shlomif> 1.0.0-10.mga7
+ Revision: 1354237
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 1.0.0-9.mga7
+ Revision: 1290002
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 1.0.0-8.mga7
+ Revision: 1135612
- Rebuild for python 3.6

* Fri Feb 19 2016 umeabot <umeabot> 1.0.0-7.mga6
+ Revision: 970940
- Mageia 6 Mass Rebuild

* Sat Oct 10 2015 tv <tv> 1.0.0-6.mga6
+ Revision: 888868
- rebuild for python 3.5

* Wed Oct 15 2014 umeabot <umeabot> 1.0.0-5.mga5
+ Revision: 739128
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.0.0-4.mga5
+ Revision: 729651
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.0.0-3.mga5
+ Revision: 688310
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 1.0.0-2.mga5
+ Revision: 628992
- Rebuild for new Python

* Sun Dec 08 2013 pterjan <pterjan> 1.0.0-1.mga4
+ Revision: 555936
- imported package python-retry_decorator

